%define upstream_name    MooseX-Types-DateTime
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    L<DateTime> related constraints and coercions for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.430.200
BuildRequires: perl(DateTime::Duration) >= 0.430.200
BuildRequires: perl(DateTime::Locale) >= 0.400.100
BuildRequires: perl(DateTime::TimeZone) >= 0.950.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose) >= 0.410.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types) >= 0.300.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.300.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module packages several the Moose::Util::TypeConstraints manpage with
coercions, designed to work with the the DateTime manpage suite of objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1030698
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 971329
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 891448
- update to 0.13

* Mon Sep 28 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 884712
- update to 0.12

* Sun Aug 23 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 868575
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 747146
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.100.0-3.mga5
+ Revision: 735861
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 685580
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 588542
- update to 0.10

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 513250
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 370323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 342404
- update to 0.08

* Tue Dec 13 2011 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 181154
- update to 0.07

* Fri Dec 02 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 175207
- update to 0.06

* Tue Jan 25 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 38638
- mageia rebuild
- imported package perl-MooseX-Types-DateTime

